Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159882 - UnsatisfiedLinkError: libspawner
Summary: UnsatisfiedLinkError: libspawner
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 20:08 UTC by Andrew Overholt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-21 20:24:01 UTC


Attachments (Terms of Use)
stack trace echoed to console (deleted)
2005-06-08 20:08 UTC, Andrew Overholt
no flags Details

Description Andrew Overholt 2005-06-08 20:08:06 UTC
Description of problem:
When starting a new CDT project, the UnsatisfiedLinkError is shown on the
console from which you launched eclipse.

Version-Release number of selected component (if applicable):
eclipse-cdt-3.0.0_fc-0.M6.8
eclipse-platform-3.1.0_fc-0.M7.8
gcc-4.0.0-11

How reproducible:
Always

Steps to Reproduce:
1. start eclipse
2. File->New->Project->C->Managed C Project
3. finish the wizard
  
Actual results:
see attached stack trace

Expected results:
Nothing echoed to the console

Additional info:
I'm not sure if this is actually affecting anything negatively as things mostly
appear to work.

Comment 1 Andrew Overholt 2005-06-08 20:08:06 UTC
Created attachment 115238 [details]
stack trace echoed to console

Comment 2 Tom Tromey 2005-07-03 18:05:32 UTC
As I recall libspawner is used by the CDT for running
other programs.  I forget if it is needed for gdb or if it is
also used for things like make.

Anyway, at least in 3.0 (I didn't look at 3.1), it should not be
missing.  This ought to be easy to fix... make sure it is built
(see org.eclipse.cdt.core.linux) and make sure it is installed
and packaged properly.


Comment 3 Andrew Overholt 2005-10-21 20:24:01 UTC
This should be fixed with 3.0.0; I see libspawner.so.  Closing unless/until
someone sees the same error again.


Note You need to log in before you can comment on or make changes to this bug.